function flag = isempty(this)
% isempty  True if the bkwmodel object is empty.
%
% Syntax
% =======
%
%     flag = isempty(b)
%
% Input arguments
% ================
%
% * `b` [ bkwmodel ] - Bkwmodel object.
%
% Output arguments
% =================
%
% * `flag` [ `true` | `false` ] - True if the input bkwmodel object is empty.
%
% Description
% ============
%
% Example
% ========
% -IRIS Toolbox.
% -Copyright (c) 2007-2012 Jaromir Benes.

%**************************************************************************

flag = isempty(this.Assign);

end